Package required but not available: ‘RProtoBuf’ - Oracle Solaris 10, x86, 32 bit, R-release

Hi,

I have created R package and submitted in CRAN. CRAN has given me the results it says that build has been failed on Solaris OS Platform.

I have also tried testing my package on rhub "https://builder.r-hub.io/" by selecting platform to build option as “Oracle Solaris 10, x86, 32 bit, R-release”. My package depends upon the RProtobuf package, receiving the error notification from r-hub as - " Package required but not available: ‘RProtobuf’ ".

Regarding the RProtobuf package details in CRAN it shows CRAN check results with all OS details except Solaris.

Can you please guide me in this scenario.

@jmgirard I have seen you are encountered with this type of issue earlier can you please help me in this.

Thanks & Regards,
Vamshi Krishna Mupparaju

It looks like CRAN is going to remove Solaris checks, so you might just need to wait a bit :smiley: https://twitter.com/henrikbengtsson/status/1466877096471379970

CRAN does not check packages on Solaris any more: CRAN Package Check Flavors

1 Like